version: '0.1'
services:
  server:
    image: server:test
    ports:
      - '59465:443'
      - '59464:80'
      - '54088:54088'
    environment:
      - ASPNETCORE_URLS=https://+;http://+
      - ASPNETCORE_Kestrel__Certificates__Default__Path=/https/aspnetapp.pfx
      - ASPNETCORE_Kestrel__Certificates__Default__Password=85e39b26-0f2d-41a4-afe2-7ddce9d7d8cc
      - superSocket__Servers__0__Certificate_filePath=/https/localhost2.pfx
      - superSocket__Servers__0__Certificate_password=supersocket2
      - SuperSocketServerCertificate__filePath=/https/localhost.pfx
      - SuperSocketServerCertificate__password=supersocket
    volumes:
      - .\certificate:/https/
      - .\ServerLog:/app/logs/
    user: root